Bug 243812 - www/minio: fix build on aarch64
Summary: www/minio: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-02 17:23 UTC by Mikael Urankar
Modified: 2020-02-24 20:11 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
patch (2.22 KB, patch)
2020-02-02 17:23 UTC, Mikael Urankar
swills: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-02 17:23:30 UTC
Created attachment 211288 [details]
patch

# github.com/shirou/gopsutil/cpu   
vendor/github.com/shirou/gopsutil/cpu/cpu_freebsd.go:25:16: undefined: cpuTimes
vendor/github.com/shirou/gopsutil/cpu/cpu_freebsd.go:42:31: undefined: cpuTimes               
vendor/github.com/shirou/gopsutil/cpu/cpu_freebsd.go:66:38: undefined: cpuTimes
vendor/github.com/shirou/gopsutil/cpu/cpu_freebsd.go:72:15: undefined: cpuTimes
vendor/github.com/shirou/gopsutil/cpu/cpu_freebsd.go:87:13: undefined: cpuTimes
Comment 1 Emmanuel Vadot freebsd_committer 2020-02-21 11:56:50 UTC
Approved-by: manu (mentor)
Comment 2 commit-hook freebsd_committer 2020-02-24 20:11:58 UTC
A commit references this bug:

Author: mikael
Date: Mon Feb 24 20:11:25 UTC 2020
New revision: 527048
URL: https://svnweb.freebsd.org/changeset/ports/527048

Log:
  www/minio: unbreak on aarch64

  Unbreak by pulling in gopsutil@v2.20.1 to fix build on aarch64

  PR:		243812
  Approved by:	swills (maintainer), manu (mentor)

Changes:
  head/www/minio/Makefile
  head/www/minio/distinfo